Placement API/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Przykład ustawienia Umiejscowienia obiektu dokumentu:")
(Created page with "{{APIClass|Placement| ) lub (Placement) lub (Matrix) lub (Base, Rotation) lub (Base,Rotation,Center) lub (Base,Axis,Angle|Konstruuje umiejscowienie, puste lub z podanymi argum...")
 
Line 12: Line 12:
}}
}}


{{APIClass|Placement| ) or (Placement) or (Matrix) or (Base, Rotation) or (Base,Rotation,Center) or (Base,Axis,Angle|Constructs a placement, empty or with the given arguments, or as a copy of the given placement.}}
{{APIClass|Placement| ) lub (Placement) lub (Matrix) lub (Base, Rotation) lub (Base,Rotation,Center) lub (Base,Axis,Angle|Konstruuje umiejscowienie, puste lub z podanymi argumentami, lub jako kopię podanego umiejscowienia.}}
{{APIProperty|Base|a vector representing the Placement's position.}}
{{APIProperty|Base|wektor reprezentujący położenie umiejscowienia.}}
{{APIProperty|Rotation|a quaternion representing the Placement's rotation.}}
{{APIProperty|Rotation|czworościan reprezentujący obrót umiejscowienia.}}
{{APIFunction|inverse| |computes the inverse placement|a placement.}}
{{APIFunction|inverse| |oblicza odwrotność umiejscowienia|umiejscowienie}}
{{APIFunction|move|Vector|moves the Placement along the given vector|nothing}}
{{APIFunction|move|Vector|przesuwa umiejscowienie wzdłuż podanego wektora|}}
{{APIFunction|multVec|Vector|applies the Placement to the given vector|the resulting vector.}}
{{APIFunction|multVec|Vector|stosuje umiejscowienie do podanego wektora|wektor wynikowy}}
{{APIFunction|multiply|Placement|multiplies this placement with another one|the resulting placement.}}
{{APIFunction|multiply|Placement|zwielokrotnia to umiejscowienie|wynikające umiejscowienie}}
{{APIFunction|toMatrix| | |a matrix representing the Placement's transformation.}}
{{APIFunction|toMatrix| | |macierz reprezentująca transformację umiejscowienia}}


{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 19:42, 27 August 2021

(Październik 2019) Nie edytuj tych stron. Informacje są niekompletne i nieaktualne. Najnowsze API można znaleźć w automatycznie generowana dokumentacja API, lub wygenerować dokumentację samodzielnie, śledząc dokument Dokumentacja źródłowa.

W FreeCAD, umiejscowienie definiuje pozycję i obrót obiektu. Koncepcja umiejscowienia jest szczegółowo wyjaśniona na tej stronie: Umiejscowienie.

Przykład ustawienia Umiejscowienia obiektu dokumentu:

myObj = FreeCAD.ActiveDocument.ActiveObject
pl = FreeCAD.Placement()
pl.move(FreeCAD.Vector(2,0,0))
myObj.Placement = pl
Placement( ) lub (Placement) lub (Matrix) lub (Base, Rotation) lub (Base,Rotation,Center) lub (Base,Axis,Angle)

Description: Konstruuje umiejscowienie, puste lub z podanymi argumentami, lub jako kopię podanego umiejscowienia.

Base

Returns: wektor reprezentujący położenie umiejscowienia.

Rotation

Returns: czworościan reprezentujący obrót umiejscowienia.

inverse( )

Description: oblicza odwrotność umiejscowienia

Returns: umiejscowienie

move(Vector)

Description: przesuwa umiejscowienie wzdłuż podanego wektora

Returns:

multVec(Vector)

Description: stosuje umiejscowienie do podanego wektora

Returns: wektor wynikowy

multiply(Placement)

Description: zwielokrotnia to umiejscowienie

Returns: wynikające umiejscowienie

toMatrix( )

Description:

Returns: macierz reprezentująca transformację umiejscowienia